<?php
// +-----------------------------------------------------------------------+
// | Dynamic Recent Period - a PWG Plugin                                  |
// | Copyright (C) 2007 Ruben ARNAUD - rub@phpwebgallery.net               |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

/*
Plugin Name: Dynamic Recent Period
Version: 1.0.0.0
Description: Compute a dynamic recent period / Calcule une priode rcente dynamique
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=180
Author: Ruben ARNAUD
Author URI: http://ruben.demo.free.fr
*/

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

global $conf;

$conf['dynareceperio'] = unserialize($conf['dynareceperio']);

if (script_basename() == 'profile')
{
  include_once(dirname(__FILE__).'/profile.inc.php');
}
else
if (script_basename() == 'admin')
{
  include_once(dirname(__FILE__).'/profile.inc.php');
  include_once(dirname(__FILE__).'/admin.inc.php');
}
else
if (script_basename() != 'profile')
{
  include_once(dirname(__FILE__).'/period.inc.php');
}


?>
